<form #reservationEntryForm="ngForm" (submit)="reservationEntry()">
    <div class="container well jumbotron">
        <div class="horizontal">
            <div class="row">
                <div class="col">
                    <H2>Make a reservation in the best restaurant in the world</H2>
                </div>
            </div>
            <br>
            <div class="form-group">
                <div class="row">
                    <div class="col text-center">
                        <h3>Personal data</h3>
                    </div>
                </div>

                <label for="clientName" class="col-sm-2">Name *</label>
                <div class="col-sm-4">
                    <input type="text" #clientName="ngModel" [(ngModel)]="reservation.name" class="form-control"
                        id="clientName" name="clientName" required inputMinLength>
                </div>
                <div class="is-invalid" *ngIf="!clientName.pristine && 
                 clientName.errors?.required">
                    <span class="text-danger">Please, enter a name</span>
                </div>
                <div class="is-invalid" *ngIf="clientName.errors?.isNotCorrect &&
                !clientName.errors?.required">
                    <span class="text-danger">Please, name must be at least seven characters</span>
                </div>
                <label for="clientSurname" class="col-sm-2">Surname *</label>
                <div class="col-sm-4">
                    <input type="text" #clientSurname="ngModel" [(ngModel)]="reservation.surname" class="form-control"
                        id="clientSurname" name="clientSurname">
                </div>
                <label for="clientEmail" class="col-sm-2">Email *</label>
                <div class="col-sm-4">
                    <input type="email" #clientEmail="ngModel" [(ngModel)]="reservation.email" class="form-control"
                        id="clientEmail" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" name="clientEmail" required
                        email>
                </div>
                <div class="is-invalid" *ngIf="!clientEmail.pristine && 
                clientEmail.errors?.required">
                    <span class="text-danger">Please, enter an email</span>
                </div>
                <div class="is-invalid" *ngIf="!clientEmail.pristine && 
                clientEmail.errors?.pattern">
                    <span class="text-danger">Please, enter a valid email</span>
                </div>
                <label for="clientPhone" class="col-sm-2">Phone *</label>
                <div class="col-sm-4">
                    <input type="text" #clientPhone="ngModel" [(ngModel)]="reservation.phone" class="form-control"
                        id="clientPhone" name="clientPhone">
                </div>
            </div>
            <div class="form-group">
                <div class="row">
                    <div class="col-xs-12" align="center">
                        <h3>Reservation details</h3>
                    </div>
                </div>
                <label class="col-sm-2 control-label" for="">Reservation date: </label>
                <div class="col-sm-6">
                    <input type="date" #clientReservationDate="ngModel" [(ngModel)]="reservation.reservationDate"
                        name="clientReservationDate">
                </div>

                <label class="col-sm-2 control-label" for="">Reservation time: </label>
                <div class="col-sm-2">
                    <select class="form-control" name="reservationTime" #reservationTime="ngModel"
                        [(ngModel)]="reservation.reservationTime" required>
                        <option *ngFor="let resTimeAux of reservationTimes;
                    let i = index" [ngValue]="resTimeAux">{{resTimeAux.time}}
                        </option>
                    </select>
                </div>

            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label" for="formGroup">Table preference *</label>
                <div class="col-sm-6">
                    <span *ngFor="let tablePreference of tablePreferences; let i = index">
                        <input type="radio" name="tablePref{{i}}" [value]="tablePreference"
                            [(ngModel)]="reservation.tablePreference" (ngModelChange)="calculateTotalPrice()">
                        {{tablePreference.preference}}
                    </span>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label" for="formGroup">Special requests: </label>
                <div class="col-sm-6" #divCheckBox> <!--PARA QUE SALGA MARCADO -->
                    <span *ngFor="let specialRequest of specialRequests;let i=index">
                        <input type="checkbox" (click)="addRemoveSpecialRequest(specialRequest)">
                        <label> {{specialRequest.$request}} </label>
                    </span>
                </div>
            </div>

            <label class="col-sm-2 control-label" for="formGroup">Total price:</label>
            <div class="col-sm-4">
                <b>{{reservation.totalPrice|currency:'EUR':true}}</b>
            </div>

            <br><br>
            <div class="row">
                <div class="col text-center">
                    <h3>Recommendations</h3>
                </div>
            </div>
            <div class="row">
                <table class="table">
                    <tr *ngFor="let tempRow of recommendations">
                        <td *ngFor="let tempCol of tempRow">
                            {{tempCol}}
                        </td>
                    </tr>

                </table>
            </div>
            <br><br>
            <div class="form-group">
                <div class="row">
                    <div class="col-sm-4">
                        <button type="submit" [disabled]="!reservationEntryForm.valid"
                            class="btn btn-success">Submit</button>
                        <!-- <button (click)="reset()">reset</button>-->
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>